Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.ka2ddo.yaac.osm
Enum Highway

    java.lang.Object
      java.lang.Enum<Highway>
          org.ka2ddo.yaac.osm.Highway

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<Highway>

    public enum Highway

extends java.lang.Enum<Highway>

Supported types of the OSM highway="*" attribute. See the definition of highway on the OpenStreetMap wiki.

Enum Constant Summary
`bridleway`
`bus_guideway`
`byway`
`cycleway`
`footway`
`living_street`
`motorway`
`motorway_link`
`path`
`pedestrian`
`primary`
`primary_link`
`raceway`
`residential`
`rest_area`
`road`
`secondary`
`secondary_link`
`service`
`services`
`tertiary`
`track`
`trunk`
`trunk_link`
`unclassified`

Method Summary
`static Highway` | `value(java.lang.String name)` Get the enum value associated with the string name specified.
`static Highway` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static Highway[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.
`WayType` | `wayType()` Report the WayType for rendering this type of Way.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### road

    public static final Highway road

### motorway

    public static final Highway motorway

### motorway_link

    public static final Highway motorway_link

### trunk

    public static final Highway trunk

### trunk_link

    public static final Highway trunk_link

### primary

    public static final Highway primary

### primary_link

    public static final Highway primary_link

### secondary

    public static final Highway secondary

### secondary_link

    public static final Highway secondary_link

### tertiary

    public static final Highway tertiary

### residential

    public static final Highway residential

### unclassified

    public static final Highway unclassified

### living_street

    public static final Highway living_street

### service

    public static final Highway service

### track

    public static final Highway track

### pedestrian

    public static final Highway pedestrian

### raceway

    public static final Highway raceway

### services

    public static final Highway services

### rest_area

    public static final Highway rest_area

### bus_guideway

    public static final Highway bus_guideway

### path

    public static final Highway path

### cycleway

    public static final Highway cycleway

### footway

    public static final Highway footway

### bridleway

    public static final Highway bridleway

### byway

    public static final Highway byway

Method Detail

### values

    public static Highway[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (Highway c : Highway.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static Highway valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

### wayType

    public WayType wayType()

  Report the WayType for rendering this type of Way.

  Returns:
    WayType

### value

    public static Highway value(java.lang.String name)

  Get the enum value associated with the string name specified.

  Parameters:
    `name` - String to convert into an Enum
  Returns:
    Highway for the string name, or null if no match

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD